perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philippe M. Chiasson" <go...@ectoplasm.org>
Subject Re: upgrade to mp2
Date Thu, 20 Sep 2007 07:20:22 GMT
lists user wrote:
> Hello,
> 
> currently we have mp1 installed.but I will upgrade it to mp2.
>
> does it have any risk?or will mp2 get conflict with mp1?

It is usually considered a safer bet not to have both versions
installed at the same time.

Risks, you mean, of breaking existing code? Certainly, the API have
changed somewhat.

You probably want to give this a good read:

<http://perl.apache.org/docs/2.0/user/porting/compat.html>

Upgrades are possible, and can be simple, it only depends on the codebase
you are porting over.

------------------------------------------------------------------------
Philippe M. Chiasson     GPG: F9BFE0C2480E7680 1AE53631CB32A107 88C3A5A5
http://gozer.ectoplasm.org/       m/gozer\@(apache|cpan|ectoplasm)\.org/


Mime
View raw message